#### 7.2.6.1 resolution declarations (plural)

Syntax:
  `resolution` name `=` resolution_expression `;`

Purpose:
  defines a resolution.

Default:
  none

Example:

      ring r=0,(x,y,z),dp;
      matrix D[3][3];
      D[1,2]=z;
      def R=nc_algebra(1,D); // it is a Heisenberg algebra
      setring R;
      ideal i=z2+z,x+y;
      resolution re=nres(i,0);
      re;
      ==>  1      2      1
      ==> R <--  R <--  R
      ==>
      ==> 0      1      2
      ==> resolution not minimized yet
      ==>
      list l = re;
      l;
      ==> [1]:
      ==>    _[1]=z2+z
      ==>    _[2]=x+y
      ==> [2]:
      ==>    _[1]=z2*gen(2)-x*gen(1)-y*gen(1)+z*gen(2)
      ==> [3]:
      ==>    _[1]=0
      print(matrix(l[2]));
      ==> -x-y,
      ==> z2+z
      print(module(transpose(matrix(l[2]))*transpose(matrix(l[1]))));  // check that product is zero
      ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.